---
updatedAt: 2026-09-08T20:26:09.000Z
agentTools:
  projectIndex: https://docs.observeinc.com/llms.txt
---

# List datasets (legacy)

List datasets, optionally matching:

* Name substring
* Workspace ID
* Dataset type
* Interface binding


# OpenAPI definition

````json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Observe API",
    "description": "# Overview\nWelcome to the Observe API Docs!\n\nThe Observe API is a RESTful API. POST bodies and responses are typically JSON-encoded.\n\n## Authentication\nRequests to the Observe API are authenticated with an API token. The token can be supplied using HTTP Bearer authentication:\n```\n// passing token as bearer token\ncurl -H \"Authorization: Bearer <customerid> <token>\" https://<customerid>.<observe-domain>.com/v1/...\n```\n",
    "version": "1.0.230307"
  },
  "servers": [
    {
      "url": "https://{customerid}.observeinc.com",
      "description": "US west server",
      "variables": {
        "customerid": {
          "default": "OBSERVE_CUSTOMERID",
          "description": "The customer ID for your instance."
        }
      }
    },
    {
      "url": "https://{customerid}.{cluster}.observeinc.com",
      "description": "Specific regional cluster (prod)",
      "variables": {
        "customerid": {
          "default": "OBSERVE_CUSTOMERID",
          "description": "The customer ID for your instance."
        },
        "cluster": {
          "enum": [
            "eu-1",
            "ap-1"
          ],
          "default": "eu-1",
          "description": "For regional clusters, choose one."
        }
      }
    },
    {
      "url": "https://{customerid}.{domain}.com",
      "description": "Specific Observe server",
      "variables": {
        "customerid": {
          "default": "OBSERVE_CUSTOMERID",
          "description": "The customer ID for your instance."
        },
        "domain": {
          "default": "OBSERVE_DOMAIN",
          "description": "The Observe domain for your instance."
        }
      }
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Dataset Legacy",
      "description": "Legacy dataset endpoints. Will be deprecated in the future.\n"
    }
  ],
  "paths": {
    "/v1/dataset": {
      "get": {
        "summary": "List datasets (legacy)",
        "operationId": "listDatasets",
        "tags": [
          "Dataset Legacy"
        ],
        "description": "List datasets, optionally matching:\n\n* Name substring\n* Workspace ID\n* Dataset type\n* Interface binding\n",
        "parameters": [
          {
            "name": "workspaceId",
            "description": "Only include datasets in this workspace.",
            "in": "query",
            "schema": {
              "type": "integer"
            },
            "required": false,
            "examples": {
              "A workspace ID": {
                "value": "41000011"
              }
            }
          },
          {
            "name": "match",
            "in": "query",
            "description": "Alphanumeric fuzzy match the name of the dataset.",
            "schema": {
              "type": "string"
            },
            "required": false,
            "examples": {
              "A name substring": {
                "value": "logs"
              }
            }
          },
          {
            "name": "name",
            "in": "query",
            "description": "exact name of the dataset to match",
            "schema": {
              "type": "string"
            },
            "required": false,
            "examples": {
              "A dataset name`": {
                "value": "kubernetes/Container Logs"
              }
            }
          },
          {
            "name": "type",
            "in": "query",
            "description": "Only include datasets of this type.",
            "schema": {
              "type": "string"
            },
            "required": false,
            "examples": {
              "A type": {
                "value": "Event"
              }
            }
          },
          {
            "name": "interface",
            "in": "query",
            "description": "Only include datasets that implement this interface.",
            "schema": {
              "type": "string"
            },
            "required": false,
            "examples": {
              "An interface": {
                "value": "metric",
                "summary": "A name of an interface. You can specify this more than once to include more datasets."
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "## A list of datasets\nThe list is a JSON array of objects, each object representing a dataset.\n",
            "content": {
              "application/json": {
                "schema": {
                  "title": "ListDatasetsResponse",
                  "type": "object",
                  "properties": {
                    "ok": {
                      "type": "boolean"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/DatasetLegacy-Resource"
                      }
                    }
                  }
                },
                "example": {
                  "ok": true,
                  "data": [
                    {
                      "meta": {
                        "id": "o::101:dataset:40000068",
                        "workspaceId": "40000058",
                        "customerId": "101"
                      },
                      "config": {
                        "name": "kubernetes/Container Logs"
                      },
                      "state": {
                        "urlPath": "/workspace/40000058/dataset/event/40000068",
                        "kind": "Event",
                        "createdBy": "1",
                        "createdDate": "2023-04-20T16:20:00Z",
                        "updatedBy": "1",
                        "updatedDate": "2023-04-20T16:20:00Z",
                        "columns": [
                          {
                            "name": "BUNDLE_TIMESTAMP",
                            "type": "timestamp"
                          },
                          {
                            "name": "message",
                            "type": "string"
                          },
                          {
                            "name": "tags",
                            "type": "object"
                          }
                        ],
                        "interfaces": [
                          "log"
                        ]
                      }
                    }
                  ]
                }
              }
            }
          },
          "400": {
            "description": "Invalid request."
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "Authorization: Bearer <customerid> <apitoken>\n"
      }
    },
    "schemas": {
      "DatasetLegacy-Resource": {
        "type": "object",
        "required": [
          "meta",
          "config",
          "state"
        ],
        "properties": {
          "meta": {
            "type": "object",
            "description": "Metadata about the dataset.",
            "required": [
              "id",
              "workspaceId",
              "customerId"
            ],
            "properties": {
              "id": {
                "type": "string"
              },
              "workspaceId": {
                "type": "string",
                "format": "int64"
              },
              "customerId": {
                "type": "string",
                "format": "int64"
              }
            }
          },
          "config": {
            "description": "Directly settable properties of the dataset.",
            "type": "object",
            "required": [
              "name"
            ],
            "properties": {
              "name": {
                "type": "string"
              }
            }
          },
          "state": {
            "description": "Implicitly derived state of the dataset.",
            "type": "object",
            "required": [
              "urlPath",
              "kind",
              "createdBy",
              "createdDate",
              "updatedBy",
              "updatedDate"
            ],
            "properties": {
              "urlPath": {
                "type": "string"
              },
              "kind": {
                "type": "string"
              },
              "createdBy": {
                "type": "string",
                "format": "int64"
              },
              "createdDate": {
                "type": "string",
                "format": "date-time"
              },
              "updatedBy": {
                "type": "string",
                "format": "int64"
              },
              "updatedDate": {
                "type": "string",
                "format": "date-time"
              },
              "columns": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "name",
                    "type"
                  ],
                  "properties": {
                    "name": {
                      "type": "string"
                    },
                    "type": {
                      "type": "string"
                    }
                  }
                }
              },
              "interfaces": {
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "path": {
                      "type": "string"
                    },
                    "mapping": {
                      "type": "array",
                      "items": {
                        "type": "object"
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
````